Summary: The Perl programming language.
Summary(de): Die Perl-Programmiersprache
Name: perl
Version: 5.601
%define fakeversion 5.6.1
Release: 6mdk
Requires: %{name}-base
Provides: perl-5.00503 perl(getopts.pl)
License: GPL or Artistic
Group: Development/Perl
#ftp://ftp.linux.activestate.com/pub/staff/gsar/APC/5.6.0/perl-5.6.0.tar.gz
Source0: http://public.ActiveState.com/gsar/perl-5.6.1.tar.bz2
Patch2: perl5.005_61-nodb.patch.bz2
Patch3: perl5-norootcheck.patch.bz2
Patch6: perl-5.6.1-fix-LD_RUN_PATH-for-MakeMaker.patch.bz2
Patch7: perl-5.6.0-fix-errno_h-parsing-for-glibc-2.1.95.patch.bz2
Patch9: perl-5.6.0-use-LD_PRELOAD-for-libperl.so.patch.bz2
Patch10: perl-5.6.1-fix-h2ph-and-xxxL-like-numbers.patch.bz2
Patch11: perl-5.6.1-skip-syslog-tests-which-need-root-privilege.patch.bz2
Packager: Pixel <pixel@mandrakesoft.com>
Buildroot: %{_tmppath}/%{name}
Requires: perl-base = %{version}-%{release}

# for NDBM
BuildRequires: db2-devel 

%package base
Version: %{version}
Summary: The Perl programming language (base).
Provides: perl(v5.6.0)
Group: Development/Perl

%package devel
Version: %{version}
Summary: The Perl programming language (devel).
Group: Development/Perl
Requires: %{name} = %{version}-%{release}

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.
You need the perl package installed on your system so that your
system can handle Perl scripts.

You need perl-base to have a full perl.

%description base
This is the base package for %{name}.

%description devel
This is the devel package for %{name}.

%prep
%setup -q -n %{name}-%{fakeversion}
#%patch0 -p1 -b .buildsys
%patch2 -p1
%patch3 -p1
%patch6 -p1
#%patch7 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
#find . -name \*.orig -exec rm -fv {} \;

%build
sh Configure \
  -des -Darchname=%{_arch}-%{_os} -Dd_dosuid -Ud_csh -Duseshrplib \
  -Doptimize="$RPM_OPT_FLAGS" -Dprefix=/usr \
%ifarch sparc
  -Ud_longdbl \
%endif
  -Di_ndbm -Di_gdbm \
  -Di_shadow -Di_syslog \
  -Uuselargefiles \
  -Dman1dir=%{_mandir}/man1 -Dman3dir=%{_libdir}/perl5/man/man3

%{make}
%ifnarch ia64
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT

cp -f lib/Config.pm.orig lib/Config.pm ||: # in case of short-circuit
cp -f lib/Config.pm lib/Config.pm.orig
perl -pi -e "s,^(install.*?)='(/usr.*)',\$1='$RPM_BUILD_ROOT\$2'," lib/Config.pm
make install
cp -f lib/Config.pm.orig $RPM_BUILD_ROOT%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/Config.pm

install -m 755 utils/pl2pm $RPM_BUILD_ROOT%{_bindir}/pl2pm

# Delete CGI stuff, because CGI.pm is now a seperate package
find $RPM_BUILD_ROOT%{_libdir} -name "CGI*" | xargs rm -rf

bzip2 -9 $RPM_BUILD_ROOT%{_libdir}/perl5/man/man3/*

export LD_LIBRARY_PATH=$(pwd)
# Generate *.ph files with a trick. Is this sick or what ?
make all -f - <<EOF
PKGS	= glibc-devel gdbm-devel gpm-devel libgr-devel libjpeg-devel \
	  libpng-devel libtiff-devel ncurses-devel popt \
	  zlib-devel binutils libelf e2fsprogs-devel pam pwdb \
	  rpm-devel
STDH	= \$(filter %{_includedir}/%%, \$(shell rpm -q --queryformat '[%%{FILENAMES}\n]' \$(PKGS)))
STDH	+=\$(wildcard %{_includedir}/linux/*.h) \$(wildcard %{_includedir}/asm*/*.h) \$(wildcard %{_includedir}/scsi/*.h)
GCCDIR	= \$(shell gcc --print-file-name include)
GCCH	= \$(filter \$(GCCDIR)/%%, \$(shell rpm -q --queryformat '[%%{FILENAMES}\n]' gcc))

PERLLIB = $RPM_BUILD_ROOT%{_libdir}/perl5/%{fakeversion}
PERL	= PERL5LIB=\$(PERLLIB) $RPM_BUILD_ROOT%{_bindir}/perl
H2PH	= \$(PERL) $RPM_BUILD_ROOT%{_bindir}/h2ph -d $RPM_BUILD_ROOT%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/

all: std-headers gcc-headers

std-headers: \$(STDH)
	cd %{_includedir} && \$(H2PH) \$(STDH:%{_includedir}/%%=%%)

gcc-headers: \$(GCCH)
	cd \$(GCCDIR) && \$(H2PH) \$(GCCH:\$(GCCDIR)/%%=%%)
EOF

(
    cd $RPM_BUILD_ROOT%{_bindir}
    ln -sf perl5 perl
    ln -s perl%{fakeversion} perl5
)

# call spec-helper before creating the file list
s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s

(
   cd $RPM_BUILD_DIR/perl-%{fakeversion}

   cat > perl-base.list <<EOF
%{_bindir}/perl
%{_bindir}/perl5
%{_bindir}/perl%{fakeversion}
%attr(4711,root,root) %{_bindir}/sperl%{fakeversion}
%attr(4711,root,root) %{_bindir}/suidperl
%dir %{_libdir}/perl5
%dir %{_libdir}/perl5/%{fakeversion}
%dir %{_libdir}/perl5/%{fakeversion}/File
%{_libdir}/perl5/%{fakeversion}/File/Basename.pm
%{_libdir}/perl5/%{fakeversion}/File/Find.pm
%{_libdir}/perl5/%{fakeversion}/File/Path.pm
%dir %{_libdir}/perl5/%{fakeversion}/Time
%{_libdir}/perl5/%{fakeversion}/Time/Local.pm
%{_libdir}/perl5/%{fakeversion}/AutoLoader.pm
%{_libdir}/perl5/%{fakeversion}/Carp.pm
%{_libdir}/perl5/%{fakeversion}/Cwd.pm
%{_libdir}/perl5/%{fakeversion}/DirHandle.pm
%dir %{_libdir}/perl5/%{fakeversion}/Exporter
%{_libdir}/perl5/%{fakeversion}/Exporter/Heavy.pm
%{_libdir}/perl5/%{fakeversion}/Exporter.pm
%{_libdir}/perl5/%{fakeversion}/FileHandle.pm
%{_libdir}/perl5/%{fakeversion}/SelectSaver.pm
%{_libdir}/perl5/%{fakeversion}/Symbol.pm
%{_libdir}/perl5/%{fakeversion}/integer.pm
%{_libdir}/perl5/%{fakeversion}/lib.pm
%{_libdir}/perl5/%{fakeversion}/overload.pm
%{_libdir}/perl5/%{fakeversion}/strict.pm
%{_libdir}/perl5/%{fakeversion}/vars.pm
%dir %{_libdir}/perl5/%{fakeversion}/warnings
%{_libdir}/perl5/%{fakeversion}/warnings/register.pm
%{_libdir}/perl5/%{fakeversion}/warnings.pm
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/Data
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/Data/Dumper.pm
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/File
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/File/Glob.pm
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/IO
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/IO/Handle.pm
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/IO/Seekable.pm
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/IO/Select.pm
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/IO/Socket.pm
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/DynaLoader
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/DynaLoader/dl_findfile.al
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/Data
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/Data/Dumper
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/Data/Dumper/Dumper.so
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/File
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/File/Glob
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/File/Glob/Glob.so
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/File/Glob/autosplit.ix
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/IO
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/IO/IO.so
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/POSIX
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/POSIX/POSIX.so
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/POSIX/autosplit.ix
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/POSIX/load_imports.al
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/POSIX/tmpfile.al
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/Socket
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/Socket/Socket.so
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/re
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/re/re.so
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/Config.pm
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/DynaLoader.pm
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/POSIX.pm
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/Socket.pm
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/re.pm
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/XSLoader.pm
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/libperl.so
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/asm
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/bits
%dir %{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/sys
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/asm/unistd.ph
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/bits/syscall.ph
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/sys/syscall.ph
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/_h2ph_pre.ph
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/syscall.ph
EOF

   cat > perl.list <<EOF
%doc Artistic README README.Y2K 
%{_bindir}/a2p
%{_bindir}/perlbug
%{_bindir}/perldoc
%{_bindir}/find2perl
%{_bindir}/pod2man
%{_bindir}/pod2html
%{_bindir}/pod2text
%{_bindir}/pod2latex
%{_bindir}/splain
%{_bindir}/s2p
%{_mandir}/man*/*
EOF

   cat > perl-devel.list <<EOF
%{_bindir}/pstruct
%{_bindir}/perlcc
%{_bindir}/c2ph
%{_bindir}/h2xs
%{_bindir}/h2ph
%{_bindir}/pl2pm
%{_bindir}/podchecker
%{_bindir}/podselect
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/auto/DynaLoader/DynaLoader.a
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/EXTERN.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/INTERN.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/XSUB.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/av.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/cc_runtime.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/config.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/cop.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/cv.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/dosish.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/embed.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/embedvar.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/fakethr.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/form.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/gv.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/handy.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/hv.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/intrpvar.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/iperlsys.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/keywords.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/mg.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/nostdio.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/objXSUB.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/op.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/opcode.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/opnames.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/patchlevel.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/perl.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/perlapi.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/perlio.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/perlsdio.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/perlsfio.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/perlvars.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/perly.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/pp.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/pp_proto.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/proto.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/regcomp.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/regexp.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/regnodes.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/scope.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/sperl.o
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/sv.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/thrdvar.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/thread.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/unixish.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/utf8.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/util.h
%{_libdir}/perl5/%{fakeversion}/%{_arch}-linux/CORE/warnings.h
%{_libdir}/perl5/man
EOF

   (cd $RPM_BUILD_ROOT ; find usr/lib/perl5/%{fakeversion} ! -type d -printf "/%%p\n") >> %{name}.list
   (cd $RPM_BUILD_ROOT ; find usr/lib/perl5/%{fakeversion}   -type d -printf "%%%%dir /%%p\n") >> %{name}.list
   perl -ni -e 'BEGIN { open F, "perl-base.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' %{name}.list
   perl -ni -e 'BEGIN { open F, "perl-devel.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' %{name}.list
)

%clean
rm -rf $RPM_BUILD_ROOT

%files -f perl.list
%defattr(-,root,root)

%files base -f perl-base.list
%defattr(-,root,root)

%files devel -f perl-devel.list
%defattr(-,root,root)

%changelog
* Sun Sep  9 2001 Pixel <pixel@mandrakesoft.com> 5.601-6mdk
- add Data::Dumper in perl-base
- skip-syslog-tests-which-need-root-privilege.patch

* Wed Aug 15 2001 Pixel <pixel@mandrakesoft.com> 5.601-5mdk
- add syscall.ph and the dependency (needed for perl-MDK-Common)

* Thu Jun 14 2001 Pixel <pixel@mandrakesoft.com> 5.601-4mdk
- perl-5.6.1-fix-h2ph-and-xxxL-like-numbers.patch.bz2

* Wed Jun 13 2001 Pixel <pixel@mandrakesoft.com> 5.601-3mdk
- for now, add provides 'perl(getopts.pl)' and 'perl(v5.6.0)'

* Wed Jun 13 2001 Pixel <pixel@mandrakesoft.com> 5.601-2mdk
- rebuild with new rpm

* Mon Apr  9 2001 Pixel <pixel@mandrakesoft.com> 5.601-1mdk
- new version

* Wed Apr 04 2001 Francis Galiegue <fg@mandrakesoft.com> 5.600-30mdk
- Don't run make test on ia64

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 5.600-29mdk
- add Exporter and some POSIX stuff in perl-base (needed for perl-gettext)

* Sat Mar  3 2001 Pixel <pixel@mandrakesoft.com> 5.600-28mdk
- Alexander Skwar: Removed CGI.pm from package - newer version is in a seperate package now!

* Wed Jan 31 2001 Pixel <pixel@mandrakesoft.com> 5.600-27mdk
- perl depends perl-base = version-release and not only version
- same for perl-devel

* Tue Jan 30 2001 Pixel <pixel@mandrakesoft.com> 5.600-26mdk
- add podselect and podchecker in perl-devel

* Mon Jan 22 2001 Pixel <pixel@mandrakesoft.com> 5.600-25mdk
- re-add "make test" (why did it go away?)
- build with GDBM, NDBM (small merge with RH's spec)

* Sat Dec 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.600-24mdk
- Fix typo in Syslog.pm.

* Fri Dec 15 2000 Pixel <pixel@mandrakesoft.com> 5.600-23mdk
- patch perl-5.6.0-use-LD_PRELOAD-for-libperl.so.patch.bz2 added
- patch perl-5.6.0-fix-for-coredump-bug-20000607.003.patch.bz2 added

* Thu Dec  7 2000 Pixel <pixel@mandrakesoft.com> 5.600-22mdk
- add "make test"

* Mon Nov 27 2000 Pixel <pixel@mandrakesoft.com> 5.600-21mdk
- corrected copyright

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 5.600-20mdk
- add /usr/X11R6/lib to MakeMaker skipped rpath

* Sun Nov  5 2000 Pixel <pixel@mandrakesoft.com> 5.600-19mdk
- fix-errno_h-parsing-for-glibc-2.1.95.patch.bz2

* Thu Nov  2 2000 Pixel <pixel@mandrakesoft.com> 5.600-18mdk
- rebuild with new glibc so that i can build eperl (libposix doesn't exist
anymore)

* Sun Sep  3 2000 Pixel <pixel@mandrakesoft.com> 5.600-17mdk
- also move warnings/register.pm
- fix silly error

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 5.600-16mdk
- move Glob.pm and dependencies to perl-base

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 5.600-15mdk
- fix filelist cleaning

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 5.600-14mdk
- add Packager

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 5.600-13mdk
- move dir .../CORE to perl-base
- move lib.pm to perl-base (to make installkernel happy)

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 5.600-12mdk
- fix-LD_RUN_PATH-for-MakeMaker

* Mon Aug  7 2000 Pixel <pixel@mandrakesoft.com> 5.600-11mdk
- fix the mailx `!~' (in case you're using the old mailx or a bug appears in
mailx...)

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 5.600-10mdk
- move DynaLoader.a to -devel
- remove menu

* Sat Jul 22 2000 Pixel <pixel@mandrakesoft.com> 5.600-9mdk
- patch CGI.pm to have $TempFile::TMPDIRECTORY = '/tmp'

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 5.600-8mdk
- bad config.h

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 5.600-7mdk
- oups, devel was bad :-(

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 5.600-6mdk
- BM, macroization

* Fri May 19 2000 Franois Pons <fpons@mandrakesoft.com> 5.600-5mdk
- changed asm/*.h to asm*/*.h during .ph generation for sparc.

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 5.600-4mdk
- fix a bug causing missing .ph's

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 5.600-3mdk
- really add menu

* Mon Mar 27 2000 Pixel <pixel@mandrakesoft.com> 5.600-2mdk
- add menu

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 5.600-1mdk
- change version number for backward compatibility :(
(serial is not enough, cuz there are some requires >= 5.00503)

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 5.6.0-1mdk
- new version

* Tue Mar 21 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.3mdk
- RC3

* Thu Mar 16 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.2mdk
- RC2

* Thu Mar  9 2000 Pixel <pixel@mandrakesoft.com> 5.6-0.1mdk
- new version

* Wed Mar  1 2000 Pixel <pixel@mandrakesoft.com> 5.5.670-1mdk
- new version

* Thu Feb 24 2000 Pixel <pixel@mandrakesoft.com> 5.5.660-1mdk
- remove the strip'ing and man page bzip'ing
- new version

* Wed Feb  9 2000 Pixel <pixel@mandrakesoft.com> 5.5.650-1mdk
- new version

* Thu Feb  3 2000 Pixel <pixel@mandrakesoft.com> 5.5.640-6mdk
- new version (and new version numbering)

* Mon Jan 17 2000 Franois Pons <fpons@mandrakesoft.com>
- changed asm/*.h to asm*/*.h during .ph generation for sparc.

* Fri Dec 17 1999 Pixel <pixel@mandrakesoft.com>
- clean up
- fixed the reference to the egcs package

* Mon Nov 29 1999 Pixel <pixel@linux-mandrake.com>
- removed the `Provides: perl' in perl-base

* Mon Nov 22 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed i386 into ${RPM_ARCH}

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix forget manpages from %files.

* Thu Oct 14 1999 Pixel <pixel@linux-mandrake.com>

- create hackperl based on perl's spec
- split in two packages
- removed csh dependencie
- merged redhat's spec (not everything)

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- ln /usr/lib/perl5 to /usr/lib/perl5%{current_version}
- bzip2 manpages.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch from RedHat6.0.
- Update to 5.005_03

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- handle RPM_OPT_FLAGS
- add de locale

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- guilty of the inlined Makefile in the spec file
- adapted for the arm build

* Wed Sep 09 1998 Preston Brown <pbrown@redhat.com>
- added newer CGI.pm to the build
- changed the version naming scheme around to work with RPM

* Sun Jul 19 1998 Jeff Johnson <jbj@redhat.com>
- attempt to generate *.ph files reproducibly

* Mon Jun 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.004_04-m4 (pre-5.005 maintenance release)

* Tue Jun 12 1998 Christopher McCrory <chrismcc@netus.com
- need stdarg.h from gcc shadow to fix "use Sys::Syslog" (problem #635)

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to correct the .ph constructs unless defined (foo) to read
  unless(defined(foo))

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- fixed strftime problem

* Sun Mar 08 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to fix a security race
- do not use setres[ug]id - those are not implemented on 2.0.3x kernels

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 5.004_04 - 5.004_01 had some nasty memory leaks.
- fixed the spec file to be version-independent

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- Config.pm wasn't right do to the builtrooting

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- fixed arch-specfic part of spec file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to perl 5.004_01
- users a build root

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Incorporated security patch from Chip Salzenberg <salzench@nielsenmedia.com>

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- Use -Darchname=i386-linux 
- Require csh (for glob)
- Use RPM_ARCH during configuration and installation for arch independence
